%global namedreltag .CR1
%global namedversion %{version}%{?namedreltag}

Name:             jbosgi-vfs
Version:          1.1.2
Release:          %mkrel 0.4%{namedreltag}.4
Summary:          JBoss OSGi Virtual File System
Group:            Development/Java
License:          LGPLv2+
URL:              http://community.jboss.org/wiki/JBossOSGi

# git clone git://github.com/jbosgi/jbosgi-vfs.git
# cd jbosgi-vfs/ && git archive --format=tar --prefix=jbosgi-vfs-1.1.2.CR1/ 1.1.2.CR1 | xz > jbosgi-vfs-1.1.2.CR1.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    jbosgi-parent
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    felix-osgi-core
BuildRequires:    jboss-logging
BuildRequires:    jboss-logging-tools
BuildRequires:    jboss-vfs
BuildRequires:    shrinkwrap
BuildRequires:    junit

Requires:         jpackage-utils
Requires:         java
Requires:         felix-osgi-core
Requires:         jboss-logging
Requires:         jboss-logging-tools
Requires:         jboss-vfs
Requires:         shrinkwrap

%description
This package contains the JBoss OSGi Virtual File System

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# JAR
install -pm 644 api/target/jbosgi-vfs-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-vfs.jar
install -pm 644 vfs30/target/jbosgi-vfs30-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-vfs30.jar

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-parent.pom
install -pm 644 api/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-vfs.pom
install -pm 644 vfs30/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-vfs30.pom

# DEPMAP
%add_maven_depmap JPP-%{name}-parent.pom
%add_maven_depmap JPP-%{name}-vfs.pom %{name}-vfs.jar
%add_maven_depmap JPP-%{name}-vfs30.pom %{name}-vfs30.jar

# APIDOCS
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE.txt



%changelog
* Mon Dec 16 2013 dmorgan <dmorgan> 1.1.2-0.4.CR1.4.mga4
+ Revision: 557475
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1.2-0.4.CR1.2.mga3
+ Revision: 354906
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dmorgan <dmorgan> 1.1.2-0.4.CR1.1.mga3
+ Revision: 331704
- imported package jbosgi-vfs


* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-0.4.CR1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 12 2012 Marek Goldmann <mgoldman@redhat.com> 1.1.2-0.3.CR1
- Added license to packages
- Changed url

* Tue Jun 12 2012 Marek Goldmann <mgoldman@redhat.com> 1.1.2-0.2.CR1
- Added new BR

* Wed Jun 06 2012 Marek Goldmann <mgoldman@redhat.com> 1.1.2-0.1.CR1
- Initial packaging

